RubyGems Navigation menu

RubyInline 3.14.0

Inline allows you to write foreign code within your ruby code. It automatically determines if the code in question has changed and builds it only when necessary. The extensions are then automatically loaded into the class/module that defines it. You can even write extra builders that will allow you to write inlined code in any language. Use Inline::C as a template and look at Module#inline for the required API.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 3.14.1 - June 23, 2024 (30.5 KB)
  2. 3.14.0 - June 28, 2023 (30.5 KB)
  3. 3.13.0 - February 01, 2023 (30.5 KB)
  4. 3.12.6 - May 23, 2022 (30.5 KB)
  5. 3.12.5 - October 09, 2019 (30.5 KB)
Show all versions (42 total)

Runtime Dependencies (1):

ZenTest ~> 4.3

Development Dependencies (2):

hoe ~> 4.0
rdoc >= 4.0, < 7

Requirements:

A POSIX environment and a compiler for your language.

Owners:

Pushed by:

Authors:

  • Ryan Davis

SHA 256 checksum:

= Copy to clipboard Copied!

Signature validity period:

January 01, 2023 - January 01, 2024 (expired)

Total downloads 7,330,742

For this version 511,098

License:

MIT

Required Ruby Version: >= 0

Links: